@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@400&display=swap");

$font-1: "Poppins", sans-serif;

$color-1: #61dafb;
$color-2: #f7f7f7;
$color-3: #282c34;
$color-4: rgb(32, 35, 42);
$color-5: #4ca3dd;
$color-6: #514f57;

* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}
body {
  font-family: $font-1;
  color: $color-3;
}
li {
  list-style-type: none;
}
a {
  text-decoration: none;
  color: $color-3;
  cursor: pointer;
}
a:visited {
  color: $color-3;
}
.dayApp {
  background-color: $color-5;
  height: 100vh;
}

$lists: (
  "Clouds": "Clouds-f",
  "Clear": "Clear-f",
  "Drizzle": "Rain-f",
  "Rain": "Rain-f",
  "Snow": "Snow-f",
  "Thunderstorm": "Thunder-f",
  "Tornado": "Tornado-f",
  "Squall": "Smog-f",
  "Ash": "Smog-f",
  "Dust": "Smog-f",
  "Sand": "Smog-f",
  "Fog": "Smog-f",
  "Haze": "Smog-f",
  "Smoke": "Smog-f",
  "Mist": "Smog-f",
  "night": "Smog-f",
);

@each $name, $value in $lists {
  ##{$name} {
    background: linear-gradient(
      rgba(0, 0, 0, 0.45), 
      rgba(0, 0, 0, 0.45)
    ),url(../assets/fonds/#{$value}.jpg);
    height: 100vh;
  }
}